jQuery(document).ready(function($){
    var ect_table_settings = $.parseJSON($('#ect_table_settings').val());
    $('.ect_table_wrapper input.variation_id').change(function(){
        var var_id = $(this).val();
        var product_id = $(this).siblings("[name=product_id]").val();
        var attributes = $.parseJSON($('.ect_table_wrapper .variations_form[data-product_id='+product_id+']').attr('data-product_variations'));
        attributes.forEach(element => {
            if(element['variation_id'] == var_id){
                var img = "<img width='"+ect_table_settings['ect_image_size']+"' height='"+ect_table_settings['ect_image_size']+"' src="+element['image']['thumb_src']+">";
                $('.ect_table_wrapper .ect_image_'+product_id).html(img);
                $('.ect_table_wrapper #ect_single_'+product_id+' .ect_price').html(ect_table_settings['ect_currency']+element['display_price']);
            }
        });
    });
    $('form.cart .single_add_to_cart_button').attr('type', 'button');
    $('form.cart .single_add_to_cart_button').click(function(){
        if($(this).val() != ""){
            $(this).prop('disabled', true);
            var quantity = $(this).siblings(".quantity").children("input[type=number]").val();
            var product_id = $(this).val();
            $.ajax({
                type: 'post',
                url: ajax_object.ajax_path,
                data: {
                    'post_id': product_id,
                    'quantity': quantity,
                    'nonce' : ajax_object.nonce,
                    'action': 'ectp_product_update',
                },
                success: function( data ) {
                    if(data == 'added'){
                        $('.single_add_to_cart_button').prop('disabled', false);
                        var cart_quantity = parseInt($('.ectp_cart_contents_count').html());
                        cart_quantity += parseInt(quantity);
                        var notification = quantity+' '+$('.ect_title_'+product_id).children('a').text()+" has been added to cart";
                        $('.ectp_notification').html(notification);
                        $('.ectp_notification').css('display','block');
                        $('.ectp_notification').css('background-color', '#229922');
						$( document.body ).trigger( 'wc_fragment_refresh' );
                        setTimeout(function(){ $('.ectp_notification').css('display','none'); }, 4000);
                    }
                },
            });
        }else{
            $(this).prop('disabled', true);
            var product_id = $(this).siblings("input[name=product_id]").val();
            var var_id = $(this).siblings("input[name=variation_id]").val();
            var quantity = $(this).siblings(".quantity").children("input[type=number]").val();
			var variations = $(this).parent().parent().siblings('table.variations').children('tbody').children('tr');
			var variation = {};
			var variation_type = $(this).siblings("input[name=ect_variation_type]").val();
			variations.each(function( index ) {
				var label = $(this).children('.value').children('select').attr('name');
				var value = $(this).children('.value').children('select').val();
				variation[label] = value;
			});
			if ( 'table' === variation_type ) {
				variations = $(this).parent().parent().parent().siblings('.ect_capitalize').children('input[type=hidden]')
				variations.each(function(){
					var label = $(this).attr('name');
					var value = $(this).val();
					variation[label] = value;
					if ( '' === value ) {
						ect_display_notice();
					}
				});
			}
            if(var_id != ""){

                if(var_id == "0"){
                    ect_display_notice();
                }else{
                    $.ajax({
                        type: 'post',
                        url: ajax_object.ajax_path,
                        data: {
                            'var_id': var_id,
                            'post_id': product_id,
                            'quantity': quantity,
                            'variation': JSON.stringify(variation),
                            'nonce' : ajax_object.nonce,
                            'action': 'ectp_product_update',
                        },
                        success: function( data ) {
							console.log(data);
                            if(data == 'added'){
                                $('.single_add_to_cart_button').prop('disabled', false);
                                var cart_quantity = parseInt($('.ectp_cart_contents_count').html());
                                cart_quantity += parseInt(quantity);
                                // $('.ectp_cart_contents_count').html(' '+cart_quantity);
                                var notification = quantity+' '+$('.ect_title_'+product_id).children('a').text()+" has been added to cart";
                                $('.ectp_notification').html(notification);
                                $('.ectp_notification').css('display','block');
                                $('.ectp_notification').css('background-color', '#229922');
								$( document.body ).trigger( 'wc_fragment_refresh' );
                                setTimeout(function(){ $('.ectp_notification').css('display','none'); }, 4000);
                            }
                        },
                    });    
                }
            }else{
				ect_display_notice();
            }
        }
    });
	jQuery('select.ect_variation_attr').change(function(){
		var name = jQuery(this).attr('name');
		var value = jQuery(this).val();
		jQuery(this).siblings('input[name="'+name+'"]').val(value);
	});
});

function ect_display_notice(){
	jQuery('.ectp_notification').html('Select Options');
	jQuery('.ectp_notification').css('display','block');
	jQuery('.ectp_notification').css('background-color', '#992222');
	setTimeout(function(){ jQuery('.ectp_notification').css('display','none'); }, 4000);
	jQuery('.single_add_to_cart_button').prop('disabled', false);
}