<?php
/**
 * Product Table for WooCommerce.
 *
 * @package Ecommerce_Table
 * @author  Mukul Lodhi
 * @license GPL-2.0+
 *
 * @wordpress-plugin
 * Description: This Plugin displays products in tabular format.
 * Author: Mukul Lodhi
 * Version: 1.2.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! class_exists( 'Ect_Table_Deactivator' ) ) {

	/**
	 * Ect_Table_Deactivator Class
	 *
	 * @category Class
	 * @package  Ect_Table_Deactivator
	 * @author   Mukul Lodhi
	 * @license  GPL-2.0+
	 */
	class Ect_Table_Deactivator {
		/**
		 * Function deactivate deactivates ecommerce table plugin.
		 */
		public static function deactivate() {

			delete_option( 'ect_table_settings' );
			delete_option( 'ect_table_options' );
			$counter = get_option( 'ect_table_counter' );
			for ( $i = 1; $i <= $counter; $i++ ) {
				delete_option( 'ect_table_settings' . $i );
				delete_option( 'ect_table_options' . $i );
			}
			delete_option( 'ect_table_counter' );
		}
	}
}
