<?php
/**
 * Product Table for WooCommerce.
 *
 * @package Ecommerce_Table
 * @author  Mukul Lodhi
 * @license GPL-2.0+
 *
 * @wordpress-plugin
 * Description: This Plugin displays products in tabular format.
 * Author: Mukul Lodhi
 * Version: 1.2.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

require plugin_dir_path( __FILE__ ) . 'class-ect-table-admin.php';

if ( ! function_exists( 'ectp_table_settings' ) ) {
	/**
	 * Function ectp_table_settings.
	 */
	function ectp_table_settings() {

		add_submenu_page(
			'woocommerce',
			'Ecommerce Table',
			'EC Table',
			'manage_options',
			'ectp-table',
			'ectp_table_admin'
			// string $icon_url = '',.
			// int $position = null.
		);

	}
}

if ( function_exists( 'ectp_table_settings' ) ) {

	add_action( 'admin_menu', 'ectp_table_settings' );

}

if ( ! function_exists( 'ectp_table_admin' ) ) {
	/**
	 * Function ectp_table_admin.
	 */
	function ectp_table_admin() {

		if ( isset( $_GET['_wpnonce'] ) ) {

			$nonce = sanitize_text_field( wp_unslash( $_GET['_wpnonce'] ) );

			if ( ! wp_verify_nonce( $nonce, 'ect_admin_nonce' ) ) {

				die( 'Nonce value cannot be verified.' );

			} else {
				if ( isset( $_GET['ect_delete_item'] ) ) {
					$delete_id = (int) sanitize_text_field( wp_unslash( isset( $_GET['ect_delete_item'] ) ? $_GET['ect_delete_item'] : null ) );
					ECT_Table_Admin::delete_table( $delete_id );
				}

				if ( isset( $_GET['ect_new_table'] ) ) {
					ECT_Table_Admin::add_new_table();
					return;
				}
				if ( isset( $_GET['ect_edit_table'] ) ) {
					$tableid = (int) sanitize_text_field( wp_unslash( isset( $_GET['ectp_table_id'] ) ? $_GET['ectp_table_id'] : null ) );
					ECT_Table_Admin::edit_ect_table( $tableid, false, true );
					return;
				}
			}
		}
		ECT_Table_Admin::ect_table_screen();
	}
}
