<?php
/**
 * Plugin Name: Product Table for WooCommerce
 * Author: Mukul Lodhi
 * Author URI: https://profiles.wordpress.org/mukkiee/
 * Version: 1.2.2
 * Requires at least: 5.5.3
 * Tested up to: 5.7
 * Description: Displays WooCommerce products into tabular format.
 * Requires PHP: 5.4
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Displays WooCommerce products into tabular format.
 *
 * @package     Ecommerce_Table
 * @author      Mukul Lodhi
 * @license     GPL-2.0+
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/** Functions to activate plugin */
function activate_ect_table() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ect-table-activator.php';
	Ect_Table_Activator::activate();
}

/** Functions to deactivate plugin */
function deactivate_ect_table() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ect-table-deactivator.php';
	Ect_Table_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_ect_table' );
register_deactivation_hook( __FILE__, 'deactivate_ect_table' );
register_uninstall_hook( __FILE__, 'deactivate_ect_table' );

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'ectp_settings_link' );
require plugin_dir_path( __FILE__ ) . 'includes/ect-table-functions.php';
